Bug 175977 - aplay errors when testing /usr/share/sounds/alsa/*.wav
aplay errors when testing /usr/share/sounds/alsa/*.wav
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 16:06 EST by Chris Rainey
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-15 01:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rainey 2005-12-16 16:06:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
[root@ckr-1 ~]# aplay /usr/share/sounds/alsa/Front_Center.wav 
ALSA lib conf.c:1592:(snd_config_load1) _toplevel_:51:23:No such file or directory
ALSA lib conf.c:2837:(snd_config_hook_load) /etc/alsa/cards/aliases.conf may be old or corrupted: consider to remove or fix it
ALSA lib conf.c:2700:(snd_config_hooks_call) function snd_config_hook_load returned error: No such file or directory
ALSA lib pcm.c:1969:(snd_pcm_open_conf) Invalid type for PCM default definition (id: default, value: cards.pcm.default)
aplay: main:544: audio open error: Invalid argument
[root@ckr-1 ~]# 


Version-Release number of selected component (if applicable):
alsa-lib-1.0.10-2.FC4

How reproducible:
Always

Steps to Reproduce:
1.  Install FC4 with 'minimal' Custom installation.
2.  yum update everything
3.  yum install alsa-utils, adjust alsamixer and attempt to play any *.wav
  

Actual Results:  [root@ckr-1 ~]# aplay /usr/share/sounds/alsa/Front_Center.wav 
ALSA lib conf.c:1592:(snd_config_load1) _toplevel_:51:23:No such file or directory
ALSA lib conf.c:2837:(snd_config_hook_load) /etc/alsa/cards/aliases.conf may be old or corrupted: consider to remove or fix it
ALSA lib conf.c:2700:(snd_config_hooks_call) function snd_config_hook_load returned error: No such file or directory
ALSA lib pcm.c:1969:(snd_pcm_open_conf) Invalid type for PCM default definition (id: default, value: cards.pcm.default)
aplay: main:544: audio open error: Invalid argument
[root@ckr-1 ~]# 

Expected Results:  Sound to emit from speakers.

Additional info:

Seems to have worked fine last week using same install technique.  Something has changed in the kernel or ALSA(!?).
Comment 1 Martin Stransky 2005-12-19 04:55:45 EST
Please re-login after alsa-lib update (as a common user).

Note You need to log in before you can comment on or make changes to this bug.